#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.40.138:8761/eureka/
  instance:
    ipAddress: 192.168.40.134
    leaseRenewalIntervalInSeconds: 30 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 90 #租期到期时间（默认90秒）
prolog.tx.url: http://192.168.40.138:7000/tx/manager/
prolog.wms.instock.enablePadMatchLocatorLimit: false
spring:
  application:
    name: upcloud-base-wh-inbound
  #redis配置
  redis:
    host: 192.168.40.138
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    enabled: true #默认为true
    sender.type: rabbit
    rabbitmq.queue: trace
    tags:
      head: true
      params: true
      result: true
  sleuth:
    enable: true
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.40.138
    port: 5672
    username: admin
    password: prolog0212
    virtual-host: /upcloud
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 5
        max-concurrency: 20
        retry:
          enabled: true
        prefetch: 300
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.40.137:1521:orcl
    username: upcloud_biz_inbound
    password: upcloud_biz_inbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000
    removeAbandonedTimeoutMillis: 600000
prolog:
  dao:
    dialect: oracle
#    performance:
#      enable: true
#      showSql: true
    mybatis:
      configuration:
        map-underscore-to-camel-case: true
        log-impl: 
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  wms:
    print:
      printUrl3: http://116.54.19.104:26819/files/YS_TZ.grf
      printUrl: http://116.54.19.104:26819/files/SJ_BQ.grf
      printUrl2: http://116.54.19.104:26819/files/ZJ_MX.grf
      printUrl4: http://116.54.19.104:26819/files/ZJ_HZ.grf
      printSolution: batch_order.grf
      printSolution1: SJ_BQ.grf
      preview1: false
      printName: null
      printCount: 1
      preview: true
    instock:
      enablePadStoreTemperature: false
    rqc:
      enableExpire: false
  serarch:
    url: "http://service-data-api-base/search"
  service:
    item: upcloud-base-item
    warehouse: upcloud-base-wh
    chain: upcloud-base-chain
#    oms: oms-std-business
    inventory: upcloud-base-inventory
    control: upcloud-base-wh-control
    strategy: upcloud-base-strategy
    dataExchange: data-exchange
logging:
  config: classpath:log4j2-prodkzydd.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

management:
  endpoints:
    web:
      exposure:
        include: "*"
        exclude: "shutdown"
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-inbound/192.168.40.134.9817/info.log  #info日志文件路径 等效logging.file或者logging.path
    health.show-details: always #开启多个健康指标

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1
  
feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000